[Debian-in-commits] [SCM] Git repository for debian-in branch, master, updated. a2d14c53153bfbea0da4b755631739941e8eb041

Vasudev Kamath kamathvasudev at gmail.com
Sun Sep 30 07:22:58 UTC 2012


The following commit has been merged in the master branch:
commit a2d14c53153bfbea0da4b755631739941e8eb041
Author: Vasudev Kamath <kamathvasudev at gmail.com>
Date:   Sun Sep 30 12:52:43 2012 +0530

    Replace ment for previous set-git-post-hook. should be run once to
    add new post receive hook for KGB

diff --git a/attic/scripts/set-git-hooks b/attic/scripts/set-git-hooks
new file mode 100755
index 0000000..275c050
--- /dev/null
+++ b/attic/scripts/set-git-hooks
@@ -0,0 +1,16 @@
+#!/bin/bash
+
+set -e
+for d in *.git; do
+    if test -w $d; then
+        META=/home/groups/debian-in/meta
+        cat > $d/hooks/post-receive <<END
+#!/bin/sh
+$META/debian-in-post-receive
+END
+        [ -x $d/hooks/post-receive ] || chmod a+x $d/hooks/post-receive
+        echo "$d" > $d/description
+    else
+        echo "W: $d not writable"
+    fi
+done

-- 
Git repository for debian-in



More information about the Debian-in-commits mailing list